/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package metier.gestionClients;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 *
 * @author mbuffa
 */
@Stateless
public class ClientsManager extends AbstractFacade<Client> {
    @PersistenceContext
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public void generateTestClients() {
        creerUnClient(new Client("Buffa", "Michel", "michelb", "toto"));
        creerUnClient(new Client("Buffa1", "Michel1", "michelb", "toto1"));
        creerUnClient(new Client("Buffa2", "Michel2", "michelb", "toto1"));
        creerUnClient(new Client("Buffa3", "Michel3", "michelb", "toto3"));
        
    }
    
    public void creerUnClient(Client c) {
        em.persist(c);
    }
    
    public ClientsManager() {
        super(Client.class);
    }

    public Client rechercherClientParPseudo(String pseudo, String motDePasse) {
        Query q = em.createQuery("select c from Client c where c.pseudo = :pseudo");
        q.setParameter("pseudo", pseudo);
        Client c = (Client) q.getSingleResult();
        if(c == null) return c;
        if(!c.getMotDePasse().equals(motDePasse)) {
            return null;
        } else {
            return c;
        }
    }
}
